/*.debugpanel_id {
	z-index: 10000;
	position: absolute;
	top: 0;
	right: 0;
	left: auto;
	font-size: 10px;
	background: #FFF !important;
	border:1px solid #666;
	color: #000 !important;
	padding: 1px !important;
	margin: 0px !important;
}*/

.debugpanel_id-toolbar {
	position: fixed;
	top: 0;
	width: 18px;
	z-index: 10010 !important;
	padding: 0 !important;
	margin: 0 !important;
	padding: 0 !important;
	color: #888;
	white-space: nowrap;
	font: 16px monospace;
	line-height: 16px;
	vertical-align: middle;
}

.debugpanel_id-toolbar button {
	margin: 0 2px !important;
	padding: 0 2px !important;
	border: #CCC 1px solid;
}

.debugpanel_id {
	top: 0;
	bottom: 0;
	position: fixed;
	width: 100%;
	height: 100%;
	overflow: hidden;
	position: fixed;
	z-index: 10000;
	-webkit-transition-duration: 0.3s;
	transition-duration: 0.3s;
}

.debugpanel_id.debugpanel-left { left: -100%; }
.debugpanel_id.debugpanel-right { right: -100%; }
.debugpanel_id.debugpanel-left-visible { left: 0; }
.debugpanel_id.debugpanel-right-visible { right: 0; }

.debugpanel_id-toolbar.debugpanel-left  { left: 0; }
.debugpanel_id-toolbar.debugpanel-right { right: 0; }
.debugpanel_id-toolbar.debugpanel-left-visible { left: 0; }
.debugpanel_id-toolbar.debugpanel-right-visible { right: 0; }

.debugpanel_id-container {
	position: relative;
	min-height: 100%;
	height: 100%;
	width: 100%;
	overflow: hidden;
	padding: 0;
	margin: 0;
}

.debugpanel_id-content-wrapper {
	min-height: 100%;
	height: 100%;
	overflow-x: auto;
}

.debugpanel_id-content {
    margin: 0;
	margin-bottom: 20px;
    overflow: hidden;
}

.debugpanel_id a:hover,
.debugpanel_id a:focus {
	text-decoration: none;
}

.debugpanel_id .debugpanelbar {
	padding: 1px 15px !important;
	margin: 0 !important;
	color: #888;
	background: #eee;
	white-space: nowrap;
	font: 8px monospace;
	line-height: 10px;
	vertical-align: middle;
	text-align: center;
	border-left: 1px solid #999;
	border-right: 1px solid #999;
}

.debugpanel_id .debugpanelbar .setposition {
	font: 10px/16px monospace;
}

.debugpanel_id .debugpanelbar .setwidth {
	font: 14px/16px sans-serif;
	padding: 0 5px;
}

.debugpanel_id .debug_collapse_all {
	font: 10px/16px sans-serif;
}

.debugpanel_id .toggle_a {
	font-size: 16px;
}

debugpanel_id .toggle_a:hover,
debugpanel_id .toggle_a:focus {
	text-decoration: none;
}

.debugpanel_id .debugpanel, .debugpanel_id .debugpanelcollapsed {
	background: #eee;
	margin: 0;
	border: 1px solid #999;
	-moz-border-radius: 4px;
	-webkit-border-radius: 4px;
}

.debugpanel_id .debugpanel h2, .debugpanel_id .debugpanelcollapsed h2 {
	font-family: Avantgarde, sans-serif;
	font-size: 14px;
	font-style: normal;
	font-variant: normal;
	font-weight: normal;
	line-height: 1;
	margin: 0px;
	padding: 4px;
	border-bottom: 1px solid #999;
	border-top: 1px solid #FFF;
	border-right: 1px solid #FFF;
	border-left: 1px solid #FFF;
	cursor: pointer;
}
.debugpanel_id .debugpanel h2:hover, .debugpanel_id .debugpanelcollapsed h2:hover { background-color: #A9BCEF; }
.debugpanel_id .debugpanelcollapsed h2 { border-color: #CCC; }
.debugpanel_id .debugpanelcontent {
	background: #fff;
	padding: 5px;
	overflow: hidden;
}
.debugpanel_id .debugpanelcollapsed .debugpanelcontent { display: none; }

.debugpanel_id .debugpanel-fileline {
	padding: 0 !important;
	margin: 1px 0 2px !important;
	color: #888;
	white-space: nowrap;
	font: 9px Verdana;
}

.debugpanel_id hr {
	-moz-border-bottom-colors: none;
	-moz-border-left-colors: none;
	-moz-border-right-colors: none;
	-moz-border-top-colors: none;
	border-image: none;
	border-style: solid none none;
	border-width: 1px 0 0;
	margin-bottom: 15px;
	margin-top: 15px;
}

.debugpanel_id form {
	padding: 0 !important;
	margin: 0 !important;
}


.debugpanel_id pre {
	overflow:auto;
	font-family: Verdana;
	font-size:10px;
	padding: 0 5px !important;
	margin: 0 !important;
	border: none !important;
	background: #FFF !important;
	line-height: 1.42857;
	word-break: break-all;
	word-wrap: break-word;
	white-space: pre-wrap;
}

.debugpanel_id code,
.debugpanel_id pre code {
	background-color: #F5F5F5;
	border: 1px solid #CCCCCC;
	border-radius: 0;
	color: #333333;
	display: block;
	font-family: Verdana, Arial, sans-serif;
	font-size: 10px;
	line-height: 1.42857;
	margin: 0 0 5px;
	padding: 5px 8px;
	word-break: break-all;
	word-wrap: break-word;
}

.debugpanel_id .debugpanelcontent hr {
	margin-bottom: 5px;
	margin-top: 5px;
}

.debugpanel_id pre hr {
	margin-bottom: 10px;
	margin-top: 10px;
}

.debugpanel_id pre.sourcecode {
	margin: 0 0 1em;
	padding: 0.4em;
	background: #fff;
	line-height: 1.2em;
}

.debugpanel_id pre.sourcecode code {

}

.debugpanel_id .debugpanel-backtrace {
	display: block;
	margin: 0;
	padding: 0;
}

.debugpanel_id .debugpanel-caller {
	padding: 0 !important;
	margin: 2px 0 0 !important;
	color: #000000;
	white-space: nowrap;
	font: 10px Verdana;
	font-weight: bold;
}

.debugpanel_id .debugpanel-backtrace .debugpanel-fileline {
	font-size: 6px;
	line-height: 6px;
	font-style: italic;
}

.debugpanel_id pre.sourcecode span.sourcecode-line {
	display: block;
	font-size: inherit;
	margin: 0;
	height: auto;
}
.debugpanel_id pre.sourcecode span.sourcecode-highlight {
	background: #f0eb96;
}
.debugpanel_id pre.sourcecode span.sourcecode-line span.sourcecode-number {
	color: #666;
}
